Package org.jacoco.core.internal.instr

## Class ProbeArrayStrategyFactory

- java.lang.Object
- - org.jacoco.core.internal.instr.ProbeArrayStrategyFactory

    public final class ProbeArrayStrategyFactory
    extends java.lang.Object

Factory to find a suitable strategy to access the probe array for a given class.

### Method Summary

All Methods Static Methods Concrete Methods
`static IProbeArrayStrategy` `createFor​(long classId, org.objectweb.asm.ClassReader reader, IExecutionDataAccessorGenerator accessorGenerator)` Creates a suitable strategy instance for the class described by the given reader.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createFor

    public static IProbeArrayStrategy createFor​(long classId,
                                                org.objectweb.asm.ClassReader reader,
                                                IExecutionDataAccessorGenerator accessorGenerator)

Creates a suitable strategy instance for the class described by the given reader. Created instance must be used only to process a class or interface for which it has been created and must be used only once.

Parameters:
  `classId` - class identifier
  `reader` - reader to get information about the class
  `accessorGenerator` - accessor to the coverage runtime
Returns:
  strategy instance